Redmine - Feature #6677

Remove "Description” label from issues#show view
2010-10-15 12:12 - Dmitry Babenko

Status: Closed Start date: 2010-10-15
Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version:

Resolution: Wont fix

Description

Description section on the issue#show view is obvious. So, this label can be removed. It will save one line of vertical space.

Just remove line
<p><strong><%-=I(:field_description)%></strong></p>
from the app/views/issues/show.rhtml

Associated revisions

Revision 4264 - 2010-10-19 21:26 - Jean-Philippe Lang

Remove the Description label from the issue view and omit the block if empty (#6677).

Revision 4506 - 2010-12-12 18:12 - Jean-Philippe Lang

Restores the issue description label (#6677).

History

#1 - 2010-10-18 12:44 - Dmitry Babenko

Or even more: we can omit the whole description block if there are no description and no attachements.

#2 - 2010-10-19 21:20 - Jean-Philippe Lang
- Tracker changed from Patch to Feature

- Status changed from New to Closed

- Target version setto 1.1.0

- Resolution set to Fixed

Change done in r4264.

#3 - 2010-10-19 22:21 - Eric Davis

- Status changed from Closed to Reopened

Description section on the issue#show view is obvious. So, this label can be removed. It will save one line of vertical space.

Actually, I'm going to argue against that. To non-visible users it's impossible to tell where the description is (e.g. blind or screen readers). Since
r4264 it appears as a 'wiki' div with no other hint as to it's content:

<div class="wiki">
<p>Description section on the issue#show view is obvious. So, this label can be removed. It will save one line
of vertical space.</p>

<p>Just remove line<br /><code>&lt;p&gt;&lt;strong&gt;&lt;/strong&gt;&lt; /p&gt;</code><br />from the <code
>app/views/issues/show.rhtml</code></p>
</div>

| propose:

1. keeping the Description label and hiding it with css, or
2. adding a css class to the description div (class="description" or something)
#4 - 2010-10-19 23:44 - Jean-Philippe Lang

| don't think that readers actually read the css classes so 2. would be useless for that purpose.

#5 - 2010-10-20 00:06 - Holger Just

| would also favor having the label. Currently, everything in Redmine is labeled (which | consider a good thing). | don't think we should remove that
trait.

Also, this view is often extended by plugins to add additional sections. | consider it good practice to label these sections to properly distinguish them
and define their meaning. In my eyes, clarity beats saving a few vertical pixel every day.

#6 - 2010-10-20 09:06 - Jean-Philippe Lang
Holger Just wrote:
| would also favor having the label. Currently, everything in Redmine is labeled (which | consider a good thing). | don't think we should remove

that trait.

That's not correct. The other descriptions are not labelled (eg. project, versions...).
#7 - 2010-10-20 12:01 - Dmitry Babenko
Eric Davis wrote:
Actually, I'm going to argue against that. To non-visible users it's impossible to tell where the description is (e.g. blind or screen readers). Since
r4264 it appears as a 'wiki' div with no other hint as to it's content:
Look at any other web page: product info, articles, blog posts pages, etc. They do not have any label for the content part. Just heading (h1..h6
followed by content).
Also, if we are talking about the semantics then instead of <table class="attributes"> here should be definition list (<dl>, <dt>, <dd>).
#8 - 2010-10-20 12:27 - Holger Just
Dmitry Babenko wrote:
Look at any other web page: product info, articles, blog posts pages, etc. They do not have any label for the content part. Just heading (h1..h6
followed by content).
And the headings are exactly what he are talking about here. The tag-type might have been wrong (should indeed be a h2 or h3), but the label serves
the purpose of a header.
Jean-Philippe Lang wrote:
The other descriptions are not labelled (eg. project, versions...).

Projects have the Overview header directly above the description. In the roadmap, it is indeed missing. But there is not much that can distract from
the description there.

#9 - 2010-10-20 16:53 - Eric Davis

- Assignee set to Eric Davis

I've talked to an associate of mine, Brian P. Hogan, who deals with a lot of web accessibility and screen readers. His recommendation was to use a
header tag since that is what is actually presenting (like what Dmitry Babenko suggested too).

<h3>Description</h3>
<p>...</p>

#10 - 2010-10-22 07:23 - Jean-Baptiste Barth
Eric Davis wrote:
I've talked to an associate of mine, Brian P. Hogan, who deals with a lot of web accessibility and screen readers. His recommendation was to

use a header tag since that is what is actually presenting (like what Dmitry Babenko suggested too).

And then we would hide it via css ? The first request was about that, not about accessibility or semantics... | don't understand arguments about
accessibility where everyone focuses on blind users only, without thinking of lambda users (not specific to redmine though).
#11 - 2010-10-22 22:04 - Eric Davis

Jean-Baptiste Barth wrote:

And then we would hide it via css ? The first request was about that, not about accessibility or semantics... | don't understand arguments about
accessibility where everyone focuses on blind users only, without thinking of lambda users (not specific to redmine though).

| think removing it was wrong in the first place and having a header or label here was right thing to do (and a <p><strong>Description was only half
right).
#12 - 2010-10-25 16:59 - Eric Davis

- Assignee deleted (Eric Davis)

#13 - 2010-12-12 18:05 - Jean-Philippe Lang
- Status changed from Reopened to Closed
- Target version deleted (1.1.0)

- Resolution changed from Fixed to Wont fix

Label restored in r4506, but will be omitted if there's no description.

#14 - 2011-12-05 14:57 - Dmitry Babenko
github's diff for those who still would like to remove it totally.
